Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.taskdefs
Class DependencyCheckTask.ReportFormats

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.owasp.dependencycheck.taskdefs.DependencyCheckTask.ReportFormats

Enclosing class:
  DependencyCheckTask

    public static class DependencyCheckTask.ReportFormats

extends org.apache.tools.ant.types.EnumeratedAttribute

An enumeration of supported report formats: "ALL", "HTML", "XML", "VULN", etc..

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`DependencyCheckTask.ReportFormats()`

Method Summary
`String[]` | `getValues()` Returns the list of values for the report format.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependencyCheckTask.ReportFormats

    public DependencyCheckTask.ReportFormats()

Method Detail

### getValues

    public String[] getValues()

  Returns the list of values for the report format.

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`
  Returns:
    the list of values for the report format

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.